> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yafacture.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener borrador



## OpenAPI

````yaml https://rest.yafacture.com/openapi-facturacion.json get /nominas/{nominaId}
openapi: 3.0.0
info:
  title: Yafacture
  description: Yafacture API
  version: '1.0'
  contact:
    name: Yafacture
    url: https://yafacture.com
    email: hola@yafacture.com
servers:
  - url: https://rest.yafacture.com
security: []
tags: []
paths:
  /nominas/{nominaId}:
    get:
      tags:
        - Nóminas
      summary: Obtener borrador
      operationId: NominasController_controllerGetById
      parameters:
        - name: nominaId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NominasDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Forbidden resource
                  error:
                    type: string
                    example: Forbidden
                  statusCode:
                    type: integer
                    format: int32
                    example: 403
                required:
                  - message
                  - error
                  - statusCode
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    NominasDto:
      type: object
      properties:
        emisorId:
          type: string
          description: Identificador único del emisor
        cuentaId:
          type: string
          description: Identificador único de la cuenta
        usoCfdi:
          type: string
          description: Uso del CFDI según catálogo del SAT
        metodoPago:
          type: string
          description: Método de pago según catálogo del SAT
        formaPago:
          type: string
          description: Forma de pago según catálogo del SAT
          default: ''
        moneda:
          type: string
          description: Tipo de moneda
        tipoNomina:
          type: string
          description: Tipo de nómina
        fechaPago:
          type: string
          description: Fecha de pago de la nómina
          default: ''
        fechaInicialPago:
          type: string
          description: Fecha inicial del periodo de pago
        fechaFinalPago:
          type: string
          description: Fecha final del periodo de pago
        numDiasPagados:
          type: string
          description: Número de días pagados en el periodo
          default: '1'
        autoCalcular:
          type: boolean
          description: Indica si se calcula automáticamente
          default: true
        origen:
          type: string
          description: Origen del registro (app, api, importación, etc.)
          default: app
        mensajeCfdi:
          type: string
          description: Mensaje relacionado con el CFDI
        fechaCreacion:
          format: date-time
          type: string
          description: Fecha de creación del registro
        fechaActualizacion:
          format: date-time
          type: string
          description: Fecha de última actualización del registro
        status:
          type: boolean
          description: Estado activo/inactivo de la nómina
          default: true
      required:
        - emisorId
        - cuentaId
        - usoCfdi
        - metodoPago
        - formaPago
        - moneda
        - tipoNomina
        - fechaPago
        - fechaInicialPago
        - fechaFinalPago
        - numDiasPagados
        - autoCalcular
        - origen
        - mensajeCfdi
        - fechaCreacion
        - fechaActualizacion
        - status
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        X-API-Key authentication header for the development token generated in
        Yafacture
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````